AutoCAD 2010/2011/2012

Reply
Active Contributor
Posts: 35
Registered: ‎03-03-2009
Message 11 of 16 (2,437 Views)

Re: VBA Enabler for Acad 2012?

04-20-2011 06:24 AM in reply to: Exmateria

I installed 2012 Autocad with the 2012 version of VBA Enabler and now my 2011 VBA won't load with my 2011 products.  I don't see anything that says that you can't have concurrent installations. Both using correct OS version.  (http://images.autodesk.com/adsk/files/autocad_2012_vbaenabler_win_64bit.exe)

 

Anyone else have this problem?

 

Running WIn7 64bit

Acad 2011 +VBA

C3D 2012 +VBA

Acad 2012 +2012 vba (Uninstalled)

Active Contributor
Posts: 46
Registered: ‎07-31-2009
Message 12 of 16 (2,419 Views)

Re: VBA Enabler for Acad 2012?

04-21-2011 04:41 AM in reply to: jnelson1071

No problems here...

Ik have AutoCAD 2011 and 2012 installed, both with VBA, and both can run the same VBA-macro's.

New Member
pashpash
Posts: 2
Registered: ‎05-18-2011
Message 13 of 16 (2,357 Views)

Re: VBA Enabler for Acad 2012?

05-18-2011 06:57 AM in reply to: tkaak

I've installed VBA enabler, but nothing changed.

Running a macros i still receiving message at command promt: "run_time error regQueryValueEx failed!"

I've installed it just the same way on my friend's pc and it perfectly works there.

We both have  windows xp sp3 (32bit), autocad 2012, autocad vba enabler 2012, .NET 1.0-4.0 And we both use the same macroses.

So do you have any idea what's wrong with my pc? Maybe I should install some additional components or on the contrary - remove something from my operation system?

New Member
pashpash
Posts: 2
Registered: ‎05-18-2011
Message 14 of 16 (2,353 Views)

Re: VBA Enabler for Acad 2012?

05-18-2011 07:06 AM in reply to: jnelson1071

I also have to mention that my friend reinstalled his OS recently and I've been using my OS for a long time already.

I've used CCleaner and even reinstalled autocad, but nothing changed.

Active Contributor
Posts: 35
Registered: ‎03-03-2009
Message 15 of 16 (1,494 Views)

Re: VBA Enabler for Acad 2012?

04-30-2012 09:21 AM in reply to: jnelson1071

I just wanted to follow up on this concurent installed VBA Enabler issue because I still see the issue.  We are now in 2013 development mode and I'm running into the same issue as before. I can install 2013 version and it works, but when running AutoCAD 2011 it says I don't have the enabler installed.

 

My thoughts are that the contorolling files in (C:\Program Files (x86)\Common Files\Autodesk Shared\VBAServer) are overwriting each other with the most recent installed version of the VBA enabler.  So when I install the v2013 (19.0.55.0) its over writing the 2011 version (18.1.49.0) files.  Hopefully I can split the two install location somehow and retest.  Both versions are installing its own Ac32BitAppServer.dll, Ac32BitAppServer.exe, x64JetDbServer.dll in the same location.

Active Contributor
Posts: 35
Registered: ‎03-03-2009
Message 16 of 16 (1,464 Views)

Re: VBA Enabler for Acad 2012?

05-09-2012 08:27 AM in reply to: jnelson1071

Follow up and resolution to the concurrent VBA Enabler for 2011 & 2011.

 

After new software installations, AutoCAD and verticals, uninstall both 2011 and 2013 VBA Enablers, then reinstall using the Setup.exe for each.  I was using the MSI before to install them and that didn't work for me.

 

Hope that helps.

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you interested in helping shape the Autodesk Community?
We’re looking at a few different ways to improve the “All Forums” landing page and need your feedback! If interested, please take a few minutes to fill out the following Usability Study. Thank you for your time!

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community




Connect with AutoCAD

Twitter

Facebook

Blogs

Pinterest

Youtube